Skip to main content

Get settings

GET{{server}}/api/v1/dispenser/settings

This endpoint returns the dispenser settings. It contains Smart Ticket & styling settings.

  • validityTime: The Smart Ticket QR code validity time in minutes.

Request​

Authorization​

HeaderValue
AuthorizationApikey {{dispenserApikey}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}

Code snippets​

curl -X GET '{{server}}/api/v1/dispenser/settings' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}'

Example​

Example request
GET{{server}}/api/v1/dispenser/settings
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{dispenserWsID}}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length430
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"smartTicket": {
"validityTime": 10
},
"styling": {
"colorScheme": "steel-blue",
"backgroundImage": null,
"backgroundSize": "auto",
"logoImage": null,
"logoSize": "auto",
"primaryColor": "#2c4a61",
"primaryColorGradient": true,
"pageColor": "#90a3ad",
"pageColorGradient": true,
"headerColor": "#363b45",
"headerColorGradient": true,
"buttonColor": "#253542",
"buttonColorGradient": true,
"buttonText": "#FFFFFF",
"textColor": "#FFFFFF",
"secondaryColor": "#fcc43f"
}
}